## kbreakout 4.14.2

=== src/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/libkdegames )

set(kbreakout_SRCS
   main.cpp
   mainwindow.cpp
   canvaswidget.cpp
   gameengine.cpp
   levelloader.cpp
   #generalsettings.cpp
)

kde4_add_ui_files(kbreakout_SRCS generalsettings.ui)

kde4_add_kcfg_files(kbreakout_SRCS settings.kcfgc )

kde4_add_app_icon(kbreakout_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/hi*-app-kbreakout.png")

kde4_add_executable(kbreakout ${kbreakout_SRCS})

target_link_libraries(kbreakout kdegames kdegamesprivate ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY} ${KDECLARATIVE_LIBRARIES})

install(TARGETS kbreakout ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES kbreakoutui.rc DESTINATION  ${DATA_INSTALL_DIR}/kbreakout)
install(DIRECTORY qml DESTINATION ${DATA_INSTALL_DIR}/kbreakout)

## kbreakout 4.10.0

=== debian/changelog ===
kbreakout (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:33:50 +0000

kbreakout (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:00:33 +0000

kbreakout (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:26:27 +0100

kbreakout (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:19:00 +0000

kbreakout (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:40:53 +0000

=== debian/control ===
Source: kbreakout
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev (>= 4:4.10.0),
               libkdegames-dev (>= 4:4.10.0),
               pkg-kde-tools
Standards-Version: 3.9.3
Section: games
Homepage: http://www.kde.org

Package: kbreakout
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data (>= ${source:Upstream-Version})
Description: ball and paddle game
 kbreakout is a game similar to the classics breakout and xboing, featuring
 a number of added graphical enhancements and effects.  You control a paddle
 at the bottom of the playing-field, and must destroy bricks at the top
 by bouncing balls against them.
 .
 This package is part of the KDE games module.

## kbreakout 4.10.2

=== debian/changelog ===
kbreakout (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:38:59 +0200

kbreakout (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:20:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.0),
-               libkdegames-dev (>= 4:4.10.0),
+               kdelibs5-dev (>= 4:4.10.2),
+               libkdegames-dev (>= 4:4.10.2),
                pkg-kde-tools
 Standards-Version: 3.9.3
 Section: games

## kbreakout 4.10.4

=== debian/changelog ===
kbreakout (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:22:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: cmake,
                debhelper (>= 8.0.0),
-               kdelibs5-dev (>= 4:4.10.2),
+               kdelibs5-dev (>= 4:4.10.4),
                libkdegames-dev (>= 4:4.10.2),
                pkg-kde-tools
 Standards-Version: 3.9.3
@@ -12,7 +12,7 @@
 
 Package: kbreakout
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data (>= ${source:Upstream-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, kdegames-data
 Description: ball and paddle game
  kbreakout is a game similar to the classics breakout and xboing, featuring
  a number of added graphical enhancements and effects.  You control a paddle

## kbreakout 4.11.2

=== debian/changelog ===
kbreakout (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:01:12 +0100

kbreakout (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:08:03 +0100

kbreakout (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:01:54 +0100

kbreakout (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:09:31 +0100

kbreakout (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 15 Jul 2013 10:29:51 +0100

kbreakout (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:02:05 +0100

kbreakout (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 00:50:46 +0100

kbreakout (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Jun 2013 23:39:08 +0100

kbreakout (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:30 +0000

kbreakout (4:4.10.2-1) experimental; urgency=low

  * First release of kdegames after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 08 Apr 2013 13:50:03 +0200

kbreakout (4:4.10.2-0ubuntu2) saucy; urgency=low

  * Rebuild without libkdegamesprivate1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 May 2013 22:38:46 +0100

=== debian/control ===
Source: kbreakout
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
 Sune Vuorela <sune@debian.org>,
 Fathi Boudra <fabo@debian.org>,
 Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <gkiagiad@csd.uoc.gr>,
 Eshat Cakar <info@eshat.de>,
 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
 kdelibs5-dev (>= 4:4.11.2),
 libkdegames-dev (>= 4:4.11.2)
Standards-Version: 3.9.4
Homepage: http://games.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbreakout
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbreakout
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kbreakout.git
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kbreakout.git

Package: kbreakout
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: khelpcenter4
Description: ball and paddle game
 kbreakout is a game similar to the classics breakout and xboing, featuring
 a number of added graphical enhancements and effects.  You control a paddle
 at the bottom of the playing-field, and must destroy bricks at the top
 by bouncing balls against them.
 .
 This package is part of the KDE games module.

## kbreakout 4.13.0

=== debian/changelog ===
kbreakout (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:41:34 +0100

kbreakout (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:12:45 +0200

kbreakout (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:59:51 +0100

kbreakout (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:39:56 +0000

kbreakout (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:33:13 +0100

kbreakout (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:41:16 +0000

kbreakout (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:00:03 +0000

kbreakout (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:30:43 +0000

kbreakout (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 12:36:51 +0000

kbreakout (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:47:57 +0100

kbreakout (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:29:51 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  Maximiliano Curia <maxy@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.14),
- kdelibs5-dev (>= 4:4.11.2),
- libkdegames-dev (>= 4:4.11.2)
+ kdelibs5-dev (>= 4:4.13.0),
+ libkdegames-dev (>= 4:4.13.0)
 Standards-Version: 3.9.4
 Homepage: http://games.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbreakout

## kbreakout 4.13.1

=== debian/changelog ===
kbreakout (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 May 2014 09:30:30 +0200

kbreakout (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:49 +0200

kbreakout (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:08 +0100

kbreakout (4:4.11.3-2) unstable; urgency=low

  * Add kde-games-core-declarative dependency, thanks to Ritesh Raj
    Sarraf. (Closes: #729348)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Nov 2013 15:48:35 +0100

kbreakout (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Nov 2013 14:28:52 +0100

kbreakout (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:30:10 +0200

kbreakout (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:23:06 +0200

kbreakout (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Update vcs fields.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 10:55:24 +0200

=== debian/control ===
Source: kbreakout
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libkdegames-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.5
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kbreakout.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kbreakout.git

Package: kbreakout
Architecture: any
Depends: kde-games-core-declarative, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter4
Description: ball and paddle game
 kbreakout is a game similar to the classics breakout and xboing, featuring
 a number of added graphical enhancements and effects.  You control a paddle
 at the bottom of the playing-field, and must destroy bricks at the top
 by bouncing balls against them.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kbreakout-([\d\.]*).tar.xz

## kbreakout 4.14.1

=== debian/changelog ===
kbreakout (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:34:51 +0200

kbreakout (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:37:46 +0200

kbreakout (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:20:52 +0200

kbreakout (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:33:01 +0200

kbreakout (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:45:17 +0200

kbreakout (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:45:32 +0100

kbreakout (4:4.13.1-1ubuntu1) utopic; urgency=medium

  * Merge with debian, no remaining changes

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 16:21:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kbreakout
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
@@ -13,13 +14,15 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
-               libkdegames-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
+               libkdegames-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.5
 Homepage: http://games.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kbreakout.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kbreakout.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbreakout
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kbreakout
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kbreakout.git
+X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kbreakout.git
 
 Package: kbreakout
 Architecture: any

## kbreakout 4.14.2

=== debian/changelog ===
kbreakout (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:40:22 +0200

kbreakout (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:07:01 -0700

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
-               libkdegames-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
+               libkdegames-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.5
 Homepage: http://games.kde.org/

## kbreakout 14.12.3

=== debian/changelog ===
kbreakout (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:50:30 -0700

kbreakout (4:14.12.2-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

  [ Maximiliano Curia ]
  * New upstream release (14.12.2).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 Feb 2015 23:38:39 +0100

kbreakout (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:43:02 -0800

kbreakout (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:09:20 +0100

kbreakout (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate
  * Fix watch urls for new release location.
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update the maintainer.
  * Recommend khelpcenter instead of khelpcenter4.
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 21:18:05 +0100

=== debian/control ===
Source: kbreakout
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libkdegames-dev (>= 4:14.12.2),
               pkg-kde-tools (>= 0.14)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kbreakout.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kbreakout.git

Package: kbreakout
Architecture: any
Depends: kde-games-core-declarative, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: ball and paddle game
 kbreakout is a game similar to the classics breakout and xboing, featuring
 a number of added graphical enhancements and effects.  You control a paddle
 at the bottom of the playing-field, and must destroy bricks at the top
 by bouncing balls against them.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kbreakout-([\d.]+).tar.xz

## kbreakout 15.08.2

=== debian/changelog ===
kbreakout (4:15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:03:22 +0100

kbreakout (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:18:28 +0100

kbreakout (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:09:32 +0100

kbreakout (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:35:59 +0100

kbreakout (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:40:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,4 +1,47 @@
 Source: kbreakout
+Build-Depends: cmake,
+               debhelper (>= 9),
+               extra-cmake-modules,
+               gettext,
+               kdoctools-dev,
+               kgendesignerplugin,
+               kinit-dev,
+               kio-dev,
+               libkf5archive-dev,
+               libkf5attica-dev,
+               libkf5auth-dev,
+               libkf5bookmarks-dev,
+               libkf5codecs-dev,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5emoticons-dev,
+               libkf5globalaccel-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5itemmodels-dev,
+               libkf5itemviews-dev,
+               libkf5jobwidgets-dev,
+               libkf5kdegames-dev,
+               libkf5kdelibs4support-dev,
+               libkf5notifications-dev,
+               libkf5parts-dev,
+               libkf5service-dev,
+               libkf5solid-dev,
+               libkf5sonnet-dev,
+               libkf5textwidgets-dev,
+               libkf5unitconversion-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
+               libqt5svg5-dev,
+               pkg-kde-tools (>> 0.15.15),
+               qtbase5-dev,
+               qtdeclarative5-dev
 Section: games
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
@@ -9,12 +52,6 @@
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               libkdegames-dev (>= 4:14.12.2),
-               pkg-kde-tools (>= 0.14)
 Standards-Version: 3.9.6
 Homepage: http://games.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kbreakout.git
@@ -22,7 +59,7 @@
 
 Package: kbreakout
 Architecture: any
-Depends: kde-games-core-declarative, ${misc:Depends}, ${shlibs:Depends}
+Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends}
 Recommends: khelpcenter
 Description: ball and paddle game
  kbreakout is a game similar to the classics breakout and xboing, featuring

## kbreakout 15.12.3

=== CMakeLists.txt ===
project( kbreakout )

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.3.0")

find_package(ECM 1.7.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Qml Quick QuickWidgets)
find_package(KF5 REQUIRED COMPONENTS 
    CoreAddons 
    Config 
    WidgetsAddons 
    Config 
    DBusAddons 
    I18n 
    ConfigWidgets 
    XmlGui
    DocTools
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(ECMAddAppIcon)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions("-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII")

add_subdirectory( src ) 
add_subdirectory( pics )
add_subdirectory( themes )
add_subdirectory( levelsets )
add_subdirectory(doc)
install( PROGRAMS org.kde.kbreakout.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== levelsets/CMakeLists.txt ===
install( FILES default.levelset DESTINATION ${KDE_INSTALL_DATADIR}/kbreakout/levelsets )

=== pics/CMakeLists.txt ===
ecm_install_icons( ICONS 128-apps-kbreakout.png  16-apps-kbreakout.png  22-apps-kbreakout.png  32-apps-kbreakout.png  48-apps-kbreakout.png  64-apps-kbreakout.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor )

=== src/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/libKF5KDEGames )

set(kbreakout_SRCS
   main.cpp
   mainwindow.cpp
   canvaswidget.cpp
   gameengine.cpp
   levelloader.cpp
   #generalsettings.cpp
)

ki18n_wrap_ui(kbreakout_SRCS generalsettings.ui)

kconfig_add_kcfg_files(kbreakout_SRCS settings.kcfgc )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../pics/*-apps-kbreakout.png")
ecm_add_app_icon(kbreakout_SRCS ICONS ${ICONS_SRCS})

add_executable(kbreakout ${kbreakout_SRCS})

target_link_libraries(kbreakout KF5KDEGames KF5KDEGamesPrivate Qt5::Xml KF5::DBusAddons KF5::XmlGui)

install(TARGETS kbreakout ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES kbreakoutui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/kbreakout)
install(DIRECTORY qml DESTINATION ${KDE_INSTALL_DATADIR}/kbreakout)

=== debian/changelog ===
kbreakout (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:05:48 -0700

kbreakout (4:15.12.1-0ubuntu2) xenial; urgency=medium

  * No-change rebuild against libkf5kdegames7

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 Mar 2016 22:18:17 +0100

kbreakout (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release.
  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:30:46 +0100

kbreakout (4:15.12.0-1~) UNRELEASED; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Dec 2015 16:15:13 +0100

kbreakout (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:40:34 +0000

kbreakout (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:18 +0100

kbreakout (4:15.08.0-2) unstable; urgency=medium

  * Team upload.
  * Change build-dep on libkdegames-dev to libkf5kdegames-dev to match the
    move to Kf5 (Closes: #801542)
    - Thanks to Peter Green for the bug report and the solution

 -- Scott Kitterman <scott@kitterman.com>  Sun, 11 Oct 2015 18:32:12 -0400

kbreakout (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.3).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 17:54:14 +0200

=== debian/control ===
Source: kbreakout
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev,
               kio-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5jobwidgets-dev,
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kdelibs4support-dev,
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kbreakout.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kbreakout.git

Package: kbreakout
Architecture: any
Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: ball and paddle game
 kbreakout is a game similar to the classics breakout and xboing, featuring
 a number of added graphical enhancements and effects.  You control a paddle
 at the bottom of the playing-field, and must destroy bricks at the top
 by bouncing balls against them.
 .
 This package is part of the KDE games module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kbreakout-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kbreakout-([\d.]+).tar.xz

## kbreakout 16.04.3

=== debian/changelog ===
kbreakout (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:41:45 +0200

kbreakout (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:19 +0100

=== debian/control ===
Source: kbreakout
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5completion-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5guiaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5jobwidgets-dev (>= 5.24.0~),
               libkf5kdegames-dev (>= 4:16.04.3~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5service-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbreakout
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbreakout

Package: kbreakout
Architecture: any
Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: ball and paddle game
 kbreakout is a game similar to the classics breakout and xboing, featuring
 a number of added graphical enhancements and effects.  You control a paddle
 at the bottom of the playing-field, and must destroy bricks at the top
 by bouncing balls against them.
 .
 This package is part of the KDE games module.

## kbreakout 16.08.3

=== debian/changelog ===
kbreakout (4:16.08.3-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:59:43 +0100

kbreakout (4:16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:07:28 +0200

kbreakout (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Remove menu file and friends
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 19:18:25 +0200

=== debian/control ===
Source: kbreakout
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               kdoctools-dev (>= 5.15.0~),
               kio-dev,
               libkf5completion-dev,
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5doctools-dev (>= 5.15.0~),
               libkf5guiaddons-dev,
               libkf5i18n-dev (>= 5.15.0~),
               libkf5iconthemes-dev,
               libkf5jobwidgets-dev,
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5kdelibs4support-dev,
               libkf5service-dev,
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: http://games.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kbreakout.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kbreakout.git

Package: kbreakout
Architecture: any
Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: ball and paddle game
 kbreakout is a game similar to the classics breakout and xboing, featuring
 a number of added graphical enhancements and effects.  You control a paddle
 at the bottom of the playing-field, and must destroy bricks at the top
 by bouncing balls against them.
 .
 This package is part of the KDE games module.

## kbreakout 16.12.3

=== debian/changelog ===
kbreakout (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:26 +0000

kbreakout (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:13:05 +0000

=== debian/control ===
Source: kbreakout
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5jobwidgets-dev (>= 5.31.0~),
               libkf5kdegames-dev (>= 4:16.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5svg5-dev (>= 5.6.1~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbreakout
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbreakout

Package: kbreakout
Architecture: any
Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: ball and paddle game
 kbreakout is a game similar to the classics breakout and xboing, featuring
 a number of added graphical enhancements and effects.  You control a paddle
 at the bottom of the playing-field, and must destroy bricks at the top
 by bouncing balls against them.
 .
 This package is part of the KDE games module.

## kbreakout 17.04.3

=== debian/changelog ===
kbreakout (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:23 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5jobwidgets-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:16.12.3~),
+               libkf5kdegames-dev (>= 4:17.04.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
@@ -41,6 +41,8 @@
 Architecture: any
 Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends}
 Recommends: khelpcenter
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: ball and paddle game
  kbreakout is a game similar to the classics breakout and xboing, featuring
  a number of added graphical enhancements and effects.  You control a paddle

## kbreakout 17.12.3

=== CMakeLists.txt ===
project( kbreakout )

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.30.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Qml Quick QuickWidgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons 
    Config 
    Crash
    WidgetsAddons 
    Config 
    DBusAddons 
    I18n 
    ConfigWidgets 
    XmlGui
    DocTools
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddAppIcon)

add_definitions(
    -DQT_USE_FAST_CONCATENATION
    -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_USE_QSTRINGBUILDER
)

add_subdirectory(src)
add_subdirectory(pics)
add_subdirectory(themes)
add_subdirectory(levelsets)
add_subdirectory(doc)
install(PROGRAMS org.kde.kbreakout.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== debian/changelog ===
kbreakout (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:24:50 +0000

kbreakout (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:56:21 +0000

kbreakout (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:03:23 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5jobwidgets-dev (>= 5.31.0~),
-               libkf5kdegames-dev (>= 4:17.04.3~),
+               libkf5kdegames-dev (>= 4:17.12.3~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),

## kbreakout 18.04.1

=== debian/changelog ===
kbreakout (4:18.04.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Use secure copyright format uri.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 May 2018 02:29:47 +0200

kbreakout (4:17.08.3-2) unstable; urgency=medium

  * Team upload.
  * Adjust again l10npkgs_firstversion_ok to the fixed version of kde-
    l10n.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Nov 2017 20:55:17 +0100

kbreakout (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update uploaders list as requested by MIA team (Closes: #879315)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.
  * Stop forcing debian/tmp as local installation directory, installing
    everything to the final location
    - drop kbreakout.install, no more useful now
  * Remove unused build dependencies: libkf5completion-dev,
    libkf5guiaddons-dev, libkf5iconthemes-dev, libkf5jobwidgets-dev,
    libkf5kdelibs4support-dev, libkf5kio-dev, and libkf5service-dev.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Nov 2017 14:35:46 +0100

kbreakout (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 13:58:55 +0000

kbreakout (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:33:03 +0000

kbreakout (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:19:46 +0000

kbreakout (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:51 +0000

kbreakout (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:13:26 +0000

kbreakout (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:03:21 +0000

kbreakout (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:47:37 +0000

kbreakout (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:57:17 +0000

kbreakout (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:15:57 +0000

kbreakout (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:25:01 +0000

kbreakout (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:52:37 +0000

kbreakout (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:18 +0000

kbreakout (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:40 +0000

kbreakout (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:41 +0000

kbreakout (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:04 +0000

kbreakout (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Jul 2016 16:11:49 +0000

=== debian/control ===
Source: kbreakout
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4.9.0~),
               libkf5widgetsaddons-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kbreakout
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kbreakout.git

Package: kbreakout
Architecture: any
Depends: qml-module-org-kde-games-core, ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: ball and paddle game
 kbreakout is a game similar to the classics breakout and xboing, featuring
 a number of added graphical enhancements and effects.  You control a paddle
 at the bottom of the playing-field, and must destroy bricks at the top
 by bouncing balls against them.
 .
 This package is part of the KDE games module.
